services:
  trilium:
    image: triliumnext/trilium:v0.102.1
    container_name: ${CONTAINER_NAME}
    restart: unless-stopped
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    networks:
      - 1panel-network
    environment:
      - TRILIUM_DATA_DIR=/home/node/trilium-data
    volumes:
      - ./data:/home/node/trilium-data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true
